#!/bin/sh
cd ${0%/*} || exit 1    # Run from this directory

# Source tutorial run functions
. $WM_PROJECT_DIR/bin/tools/RunFunctions

# create the underlying block mesh
runApplication blockMesh

# create faceSet for burner inlet and faceZone for coupled wall
runApplication topoSet

# create burner inlet
runApplication createPatch -overwrite

# extrude Film
runApplication extrudeToRegionMesh -dict system/extrudeToRegionMeshDictFilm -overwrite

rm log.extrudeToRegionMesh

# extrude pyrolysis
runApplication extrudeToRegionMesh -dict system/extrudeToRegionMeshDictPyr -overwrite

# change samplePatch in the boundary to coupled patch betwee region0 and
# pyrolysis
foamDictionary constant/filmRegion/polyMesh/boundary \
               -entry entry0.region0_to_filmRegion_coupledWall.samplePatch \
               -set region0_to_pyrolysisRegion_coupledWall

# create faceSets for inlet, outlet, sides for the Film
rm log.topoSet
runApplication topoSet -region filmRegion

rm log.createPatch
# create actual patches
runApplication createPatch -region filmRegion -overwrite

# Run
runApplication $(getApplication)

paraFoam -touchAll

#------------------------------------------------------------------------------
